Subject: Re: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: Richard Stallman <[email-masked]>
Date: Sat, 19 Nov 2016 12:08:02 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Showing the byte-compiled code is not very useful.

Perhaps it would be good to make the byte-compiled function have the
name of the function it was compiled from as one of its elements.
We could make princ output  <byte-compiled FUNNAME ARGLIST ADDRESS>
while not changing what prin1 outputs.

Then the debugger could use princ for byte-compiled functions,
and provide some commmand to access the actual function object to examine it.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.